<?php 
/* --------------------------------------------- *\
   Hinweis:
   Diese page.php nutzt die Page-Klasse. Das ist
   keine Pflicht und all der Code hier kann mit
   dem klassischen WP-Loop ersetzt werden:
   @link https://codex.wordpress.org/The_Loop

	if ( have_posts() ) {
		while ( have_posts() ) {
			the_post(); 
			the_title();
			the_content();
			// etc ...
		} 
	}
	
\* --------------------------------------------- */
use theme\functions\post_types\Page as Page;

global $post;

if( $post !== null ){
	$current_page = new Page( $post );
	echo $current_page->content;
}
